unit utime;

interface

procedure uT_start;
function uT_stop:integer;

function uT_now:integer;

implementation

uses
  sysutils;

var
  v_timestart: integer;
  v_timestamp: ttimestamp;

procedure uT_start;
begin
  v_timestamp:=datetimetotimestamp(now);
  v_timestart:=v_timestamp.time;
end;

function uT_stop:integer;
begin
  v_timestamp:=datetimetotimestamp(now);
  result := v_timestamp.time - v_timestart;
end;

function uT_now:integer;
var
  vp_timestamp : ttimestamp;
begin
  vp_timestamp:=datetimetotimestamp(now);
  result:=vp_timestamp.time;
end;

end.
